Bug 707860 - Crashing when going over open file limits.
Summary: Crashing when going over open file limits.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 611434
Blocks: 694181
TreeView+ depends on / blocked
 
Reported: 2011-05-26 07:58 UTC by Jan Friesse
Modified: 2011-12-06 11:50 UTC (History)
10 users (show)

Fixed In Version: corosync-1.4.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause corosync runs out of available open files Consequence Segfault Fix Handle maximum number of open files gracefully. Result Could not accept Library connection: Too many open files and no segfault.
Clone Of: 611434
Environment:
Last Closed: 2011-12-06 11:50:32 UTC


Attachments (Terms of Use)
POLL: gracefully handle running out of file descriptors (5.28 KB, patch)
2011-05-26 07:59 UTC, Jan Friesse
no flags Details | Diff
IPC: return CS_ERR_NO_RESOURCES to library when low on fds. (5.14 KB, patch)
2011-05-26 08:00 UTC, Jan Friesse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1515 normal SHIPPED_LIVE corosync bug fix and enhancement update 2011-12-06 00:38:47 UTC

Comment 1 Jan Friesse 2011-05-26 07:59:41 UTC
Created attachment 501004 [details]
POLL: gracefully handle running out of file descriptors

Comment 2 Jan Friesse 2011-05-26 08:00:30 UTC
Created attachment 501006 [details]
IPC: return CS_ERR_NO_RESOURCES to library when low on fds.

Comment 3 Jan Friesse 2011-05-26 08:01:40 UTC
In GIT as bc5dd89a809a3b352bc222595f4bb916c44fc2d3 and 9f377064680c9eab1ea506bd441a0acaec7d7b04

Comment 14 Jan Friesse 2011-10-31 09:22:07 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
corosync runs out of available open files

Consequence
Segfault

Fix
Handle maximum number of open files gracefully.

Result
Could not accept Library connection: Too many open files and no segfault.

Comment 15 errata-xmlrpc 2011-12-06 11:50:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1515.html


Note You need to log in before you can comment on or make changes to this bug.